@ECHO OFF
IF "%1" == "" GOTO NOGO
CD DOORS\DRAKE3_0

IF EXIST IGM%1.BAT DEL IGM%1.BAT

:BEGIN
DRAKE.EXE %1 /P..\..\NODE%1 %2 %3 %4 %5 
IF ERRORLEVEL 255 GOTO GO_IGM
GOTO DONE

:GO_IGM
CALL IGM%1.BAT
GOTO BEGIN

:NOGO
CALL GO_DRAKE.BAT 0
GOTO FINISHED

:DONE
IF EXIST IGM%1.BAT DEL IGM%1.BAT

:FINISHED